OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockNetworkTest.ElementCounter

    java.lang.Object
      org.opennms.netmgt.mock.MockNetworkTest.ElementCounter

All Implemented Interfaces:
  MockVisitor

Enclosing class:
  MockNetworkTest

static class MockNetworkTest.ElementCounter
extends java.lang.Object
implements MockVisitor

Field Summary
`private int` `containerCount`
`private int` `elementCount`
`private int` `interfaceCount`
`private int` `networkCount`
`private int` `nodeCount`
`private int` `serviceCount`

Constructor Summary
`(package private)` `MockNetworkTest.ElementCounter()`

Method Summary
`int` `getContainerCount()`
`int` `getElementCount()`
`int` `getInterfaceCount()`
`int` `getNetworkCount()`
`int` `getNodeCount()`
`int` `getServiceCount()`
`void` `visitContainer(MockContainer c)`
`void` `visitElement(MockElement e)`
`void` `visitInterface(MockInterface i)`
`void` `visitNetwork(MockNetwork n)`
`void` `visitNode(MockNode n)`
`void` `visitService(MockService s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### containerCount

    private int containerCount

### elementCount

    private int elementCount

### interfaceCount

    private int interfaceCount

### networkCount

    private int networkCount

### nodeCount

    private int nodeCount

### serviceCount

    private int serviceCount

Constructor Detail

### MockNetworkTest.ElementCounter

    MockNetworkTest.ElementCounter()

Method Detail

### getContainerCount

    public int getContainerCount()

### getElementCount

    public int getElementCount()

### getInterfaceCount

    public int getInterfaceCount()

### getNetworkCount

    public int getNetworkCount()

### getNodeCount

    public int getNodeCount()

### getServiceCount

    public int getServiceCount()

### visitContainer

    public void visitContainer(MockContainer c)

  Specified by:
    `visitContainer` in interface `MockVisitor`

### visitElement

    public void visitElement(MockElement e)

  Specified by:
    `visitElement` in interface `MockVisitor`

### visitInterface

    public void visitInterface(MockInterface i)

  Specified by:
    `visitInterface` in interface `MockVisitor`

### visitNetwork

    public void visitNetwork(MockNetwork n)

  Specified by:
    `visitNetwork` in interface `MockVisitor`

### visitNode

    public void visitNode(MockNode n)

  Specified by:
    `visitNode` in interface `MockVisitor`

### visitService

    public void visitService(MockService s)

  Specified by:
    `visitService` in interface `MockVisitor`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.